package com.huimv.receiver.farm.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.huimv.receiver.farm.dao.entity.ProdDayWeightEntity;
import com.huimv.receiver.farm.dao.repo.ProdDayWeightRepo;
import com.huimv.receiver.farm.service.IWeight;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Timestamp;
import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class WeightImpl implements IWeight {
    @Autowired
    private ProdDayWeightRepo dayWeightRepo;

    @Override
    public void saveDayWeight(String data) {
        JSONObject dayWeightJo = JSONObject.parseObject(data);
        Long date = dayWeightJo.getLong("addTime");
        Integer farmId = dayWeightJo.getInteger("farmId");
        //
        ProdDayWeightEntity existDayWeightEntity = dayWeightRepo.findByDateAndFarmId(new Date(date),farmId);
        if(existDayWeightEntity != null){
            existDayWeightEntity.setAddTime(new Timestamp(new Date().getTime()));
//            existDayWeightEntity.setFarmId(dayWeightJo.getInteger("farmId"));
            existDayWeightEntity.setGrossWeight(dayWeightJo.getFloat("grossWeight"));
            existDayWeightEntity.setTareWeight(dayWeightJo.getFloat("tareWeight"));
            existDayWeightEntity.setNetWeight(dayWeightJo.getFloat("netWeight"));
            dayWeightRepo.saveAndFlush(existDayWeightEntity);
        }else{
            ProdDayWeightEntity newDayWeightEntity = new ProdDayWeightEntity();
            newDayWeightEntity.setAddTime(new Timestamp(new Date().getTime()));
            newDayWeightEntity.setFarmId(dayWeightJo.getInteger("farmId"));
            newDayWeightEntity.setGrossWeight(dayWeightJo.getFloat("grossWeight"));
            newDayWeightEntity.setTareWeight(dayWeightJo.getFloat("tareWeight"));
            newDayWeightEntity.setNetWeight(dayWeightJo.getFloat("netWeight"));
            dayWeightRepo.saveAndFlush(newDayWeightEntity);
        }

    }
}
